Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::CodecFactory Class Reference

`#include <IOP_CodecC.h>`

Inheritance diagram for IOP::CodecFactory:

[legend]
Collaboration diagram for IOP::CodecFactory:

[legend]
List of all members.

## Public Types
typedef CodecFactory_ptr | _ptr_type
typedef CodecFactory_var | _var_type
## Public Methods
virtual::IOP::Codec_ptr | create_codec (const IOP::Encoding &enc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::CodecFactory::UnknownEncoding )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
CodecFactory_ptr | _duplicate (CodecFactory_ptr obj)
CodecFactory_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
CodecFactory_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CodecFactory_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_UnknownEncoding
## Protected Methods
| CodecFactory (void)
virtual | ~CodecFactory (void)
## Private Methods
| CodecFactory (const CodecFactory &)
void | operator= (const CodecFactory &)

## Member Typedef Documentation

typedef CodecFactory_ptr IOP::CodecFactory::_ptr_type

| Reimplemented from CORBA::Object.

typedef CodecFactory_var IOP::CodecFactory::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

IOP::CodecFactory::CodecFactory | ( | void |  | ) | `[protected]`

IOP::CodecFactory::~CodecFactory | ( | void |  | ) | `[protected, virtual]`

IOP::CodecFactory::CodecFactory | ( | const CodecFactory & |  | ) | `[private]`

## Member Function Documentation

IOP::CodecFactory_ptr IOP::CodecFactory::_duplicate | ( | CodecFactory_ptr | obj | ) | `[static]`

const char * IOP::CodecFactory::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object.

virtual CORBA::Boolean IOP::CodecFactory::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

CodecFactory_ptr IOP::CodecFactory::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object.

CodecFactory_ptr IOP::CodecFactory::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object.

void IOP::CodecFactory::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Object.

CodecFactory_ptr IOP::CodecFactory::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual ::IOP::Codec_ptr IOP::CodecFactory::create_codec | ( | const IOP::Encoding &enc | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IOP::CodecFactory::UnknownEncoding )`[pure virtual]`

| Implemented in TAO_CodecFactory.

CORBA::Boolean IOP::CodecFactory::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object.

void IOP::CodecFactory::operator= | ( | const CodecFactory & |  | ) | `[private]`

## Member Data Documentation

CORBA::TypeCode_ptr IOP::CodecFactory::_tc_UnknownEncoding

| Initial value:
      &_tc_TAO_tc_IOP_CodecFactory_UnknownEncoding

The documentation for this class was generated from the following files:

- IOP_CodecC.h
- IOP_CodecC.cpp